<?php

/**
 * KataoAssocMemberGroup form base class.
 *
 * @package    form
 * @subpackage katao_assoc_member_group
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseKataoAssocMemberGroupForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'member_id' => new sfWidgetFormInputHidden(),
      'group_id'  => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'member_id' => new sfValidatorPropelChoice(array('model' => 'KataoMember', 'column' => 'id', 'required' => false)),
      'group_id'  => new sfValidatorPropelChoice(array('model' => 'KataoMemberGroup', 'column' => 'id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('katao_assoc_member_group[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'KataoAssocMemberGroup';
  }


}
